﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdministratorEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.AdministratorEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.AdministratorDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                          <tr class="<%=GetRegionCSSClass(Login)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="LoginFieldView" InputToDisplayID="Login" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Login" runat="server" Template-PropertyName="Account.Login"
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Password)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="PasswordFieldView" InputToDisplayID="Password" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Password" runat="server" TextMode="Password"
                                              Template-PropertyName="Account.Password" ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Confirmation)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="ConfirmationFieldView" 
                                              InputToDisplayID="Confirmation" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Confirmation" runat="server" TextMode="Password" 
                                              Template-PropertyName="Account.ConfirmPassword" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Email)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="Email" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="Email" runat="server" Template-PropertyName="Account.Email" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(Role)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="RoleFieldView" InputToDisplayID="Role" />
                                            </td>
                                            <td class="control">
                                              <UI:DropDownList runat="server" ID="Role" 
                                              Template-PropertyName="Account.AccountType" 
                                              ExtendedTemplate-HighlightOnFocus="true" />
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(FirstName)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="FirstNameFieldView" InputToDisplayID="FirstName" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="FirstName" runat="server" Template-PropertyName="FirstName" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(LastName)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="LastNameFieldView" InputToDisplayID="LastName" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="LastName" runat="server" Template-PropertyName="LastName" 
                                              ExtendedTemplate-HighlightOnFocus="true"/>
                                            </td>
                                          </tr>
                                          <tr class="<%=GetRegionCSSClass(LastLoginDate)%>">
                                            <td class="label">
                                              <UI:FieldView runat="server" ID="LastLoginDateFieldView" InputToDisplayID="LastLoginDate" />
                                            </td>
                                            <td class="control">
                                              <UI:TextBox id="LastLoginDate" runat="server" Enabled="false" 
                                              Template-PropertyName="Account.LastLoginDate" Template-IsForSave="false"/>
                                            </td>
                                          </tr >
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>
