﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerEditor.ascx.cs" Inherits="Core.Web.Admin.Controls.Editor.CustomerEditor" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import Namespace="Core.Web.Constants.UI" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Editor/CustomerAddressListEditor.ascx" TagPrefix="uc" TagName="AddressListEditor" %>
<%@ Register Src="~/Admin/Controls/Editor/CustomerAddressTextEditor.ascx" TagPrefix="uc" TagName="AddressTextEditor" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>
                  <%=UI.Current.AccountInfromation%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <%if (Entity != null && !Entity.IsNew && Entity.Account != null)
                      { %>
                    <tr class="<%=GetRegionCSSClass(AccountNumberField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AccountNumberFieldView" InputToDisplayID="AccountNumberField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="AccountNumberField" runat="server" Template-PropertyName="Account.AccountID" ReadOnly="true" />
                      </td>
                    </tr>
                    <%} %>
                    <% if (!IsUseEmailAsLoginEnabled)
                       { %>
                    <tr class="<%=GetRegionCSSClass(Login)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="LoginFieldView" InputToDisplayID="Login" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Login" runat="server" Template-PropertyName="Account.Login" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% } %>
                    <tr class="<%=GetRegionCSSClass(Password)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PasswordFieldView" InputToDisplayID="Password" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Password" runat="server" TextMode="Password" Template-PropertyName="Account.Password" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Confirmation)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ConfirmationFieldView" InputToDisplayID="Confirmation" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Confirmation" runat="server" TextMode="Password" Template-PropertyName="Account.ConfirmPassword" Template-IsRequired="true" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Email)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="Email" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Email" runat="server" Template-PropertyName="Account.Email" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (IsAccountPaymentEnabled)
                       { %>
                    <tr class="<%=GetRegionCSSClass(HasAccount)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="HasAccountFieldView" InputToDisplayID="HasAccount" RenderColons="false" />
                      </td>
                      <td class="control">
                        <UI:CheckBox ID="HasAccount" runat="server" Template-PropertyName="HasAccount" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Balance)%>" runat="server" id="BalanceRegion">
                      <td class="label">
                        <UI:FieldView runat="server" ID="BalanceFieldView" InputToDisplayID="Balance" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Balance" runat="server" Template-PropertyName="Balance" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span>
                  <%=UI.Current.PersonalInfromation%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(TitleField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="TitleField" runat="server" Template-PropertyName="CustomerProfile.Title" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(FirstName)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="FirstNameFieldView" InputToDisplayID="FirstName" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="FirstName" runat="server" Template-PropertyName="CustomerProfile.FirstName" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(LastName)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="LastNameFieldView" InputToDisplayID="LastName" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="LastName" runat="server" Template-PropertyName="CustomerProfile.LastName" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Postcode.PostcodeBox)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PostcodeFieldView" />
                      </td>
                      <td class="control" style="padding-top: 1px">
                        <UI:PostcodeLookup ID="Postcode" runat="server" PostcodeBox-Template-PropertyName="CustomerProfile.Postcode" PostcodeBox-CssClass="text-field text-field-400 button-fleft" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Company)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CompanyFieldView" InputToDisplayID="Company" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Company" runat="server" Template-PropertyName="CustomerProfile.Company" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Address)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AddressFieldView" InputToDisplayID="Address" />
                      </td>
                      <td class="control">
                        <UI:AddressLineTextBox ID="Address" runat="server" LineNumber="0" Template-PropertyName="CustomerProfile.Address" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Address2)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="Address2FieldView" InputToDisplayID="Address2" />
                      </td>
                      <td class="control">
                        <UI:AddressLineTextBox ID="Address2" runat="server" LineNumber="1" Template-PropertyName="CustomerProfile.Address2" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <uc:AddressTextEditor ID="AddressFields" runat="server" Template-PropertyName="CustomerProfile.Town" />
                    <uc:AddressListEditor ID="AddressLists" runat="server" Template-PropertyName="CustomerProfile.Town" />
                    <tr class="<%=GetRegionCSSClass(Phone)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="PhoneFieldView" InputToDisplayID="Phone" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Phone" runat="server" Template-PropertyName="CustomerProfile.Phone" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Mobile)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="MobileFieldView" InputToDisplayID="Mobile" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Mobile" runat="server" Template-PropertyName="CustomerProfile.Mobile" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Fax)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="FaxFieldView" InputToDisplayID="Fax" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Fax" runat="server" Template-PropertyName="CustomerProfile.Fax" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(WebsiteField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="WebsiteFieldView" InputToDisplayID="WebsiteField" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="WebsiteField" runat="server" Template-PropertyName="CustomerProfile.Website" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% if (IsAdvertisementSourceEnabled)
                       { %>
                    <tr class="<%=GetRegionCSSClass(AdvertisementSource)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="AdvertisementSourceFieldView" InputToDisplayID="AdvertisementSource" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="AdvertisementSource" runat="server" Template-PropertyName="AdvertisementSource" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <% } %>
                    <tr class="<%=GetRegionCSSClass(LastLoginDate)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="LastLoginDateFieldView" InputToDisplayID="LastLoginDate" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="LastLoginDate" runat="server" ReadOnly="true" Template-PropertyName="Account.LastLoginDate" Template-IsForSave="false" />
                      </td>
                    </tr>
                    <%if (ModulesCollection.Instance.IsEnabled(Modules.EmailMarketing))
                      {%>
                    <tr class="<%=GetRegionCSSClass(IsSubscriber)%> checkbox-region">
                      <td class="label">
                        <UI:FieldView runat="server" ID="IsSubscriberFieldView" InputToDisplayID="IsSubscriber" />
                      </td>
                      <td class="control">
                        <UI:CheckBox ID="IsSubscriber" runat="server" Template-PropertyName="IsSubscriber" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <%} %>
                    <tr class="<%=GetRegionCSSClass(AdvertisementSource)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CurrencyFieldView" InputToDisplayID="CurrencyField" />
                      </td>
                      <td class="control">
                        <UI:DropDownList ID="CurrencyField" runat="server" Template-PropertyName="CustomerProfile.Currency" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(NotesFiled)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="NotesFiledView" InputToDisplayID="NotesFiled" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="NotesFiled" runat="server" Template-PropertyName="CustomerProfile.Notes" TextMode="MultiLine" Rows="3" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields">
          <%=UI.Current.RequiredMessage%></span>
      </td>
    </tr>
  </tbody>
</table>
