﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductImageEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.ProductImageEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/FileUpload/FileUpload.ascx" TagPrefix="uc" TagName="FileUpload" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.ProductImageDetails%></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(TitleField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleField" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="TitleField" Template-PropertyName="Title" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(ImageUploader)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="FileFieldView" InputToDisplayID="ImageUploader" />
                                              </td>
                                              <td class="control">
                                                <uc:FileUpload runat="server" ID="ImageUploader" Template-PropertyName="FileName" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(IsMain)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="IsMainFieldView" InputToDisplayID="IsMain" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox runat="server" ID="IsMain" Template-PropertyName="IsMain" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(SaveToMediaLibrary)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="SaveToMediaLibraryFieldView" InputToDisplayID="SaveToMediaLibrary" RenderColons="false" />
                                              </td>
                                              <td class="control">
                                                <UI:CheckBox id="SaveToMediaLibrary" runat="server" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(CategoryField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="CategoryFieldView" InputToDisplayID="CategoryField" />
                                              </td>
                                              <td class="control">
                                                <Tree:MediaCategoryParentList NeedStructure="true" id="CategoryField" runat="server" DefaultItemText="Root"/>
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
            </td>
        </tr>
    </tbody>
</table>
