﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductViewer.ascx.cs" Inherits="Core.Web.Admin.Controls.Viewer.ProductViewer" %>

<%@ Import Namespace="Core.Web.Constants" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductAttributesViewer.ascx" TagPrefix="uc" TagName="ProductAttributes" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductCategoriesViewer.ascx" TagPrefix="uc" TagName="ProductCategories" %>
<%@ Register Src="~/Admin/Controls/ProductImages.ascx" TagPrefix="uc" TagName="ProductImages" %>
<%@ Register Src="~/Admin/Controls/ProductImagesList.ascx" TagPrefix="uc" TagName="ProductImagesList" %>
<%@ Register Src="~/Admin/Controls/ProductFilesList.ascx" TagPrefix="uc" TagName="ProductFilesList" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                      </td>
                    </tr>
                    <% if (ProductTypeChoiceAvailable) { %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ProductModelTypeFieldView" InputToDisplayID="ProductModelTypeLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ProductModelTypeLabel" runat="server" Template-PropertyName="ProductType.Name"
                          Template-DisplayName="Product Model Type" />
                      </td>
                    </tr>
                    <%} %>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="ReferenceLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ReferenceLabel" runat="server" Template-PropertyName="Reference" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="PriceLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="PriceLabel" runat="server" Template-PropertyName="Price" FormatAsMoney="true"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="IncludeVATLabel" runat="server" Template-PropertyName="IncludeVAT" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="SummaryFieldView" InputToDisplayID="SummaryLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="SummaryLabel" runat="server" Template-PropertyName="Summary" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:WysiwygLabel ID="DescriptionLabel" runat="server" Template-PropertyName="Description" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AverageRatingFieldView" InputToDisplayID="AverageRatingLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AverageRatingLabel" runat="server" Template-PropertyName="AverageRating" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="ProductCategoriesLabel" Text="Categories:" />
                      </td>
                      <td class="control-value">
                        <uc:ProductCategories ID="ProductCategories" runat="server" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="ProductAttributesLabel" Text="Attributes:" />
                      </td>
                      <td class="control-value">
                        <uc:ProductAttributes ID="ProductAttributes" runat="server" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset runat="server" id="QuantityRegion">
          <Control:CollapsableBox IsCollapsable="true" runat="server" ID="QuantityCollapsableBox">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.StockData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="QuantityFieldView" InputToDisplayID="QuantityLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="QuantityLabel" runat="server" Template-PropertyName="Quantity" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="ConstantStockLevelLabel" runat="server" Template-PropertyName="ConstantStockLevel" />
                      </td>
                    </tr>
                    <% if (IsOutOfStockEnabled)
                       { %>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="OutOfStockLabel" runat="server" Template-PropertyName="OutOfStock" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="StockPeriodFieldView" InputToDisplayID="StockPeriodLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="StockPeriodLabel" runat="server" Template-PropertyName="StockPeriod.Name" Template-DisplayName="StockPeriod"/>
                      </td>
                    </tr>
                    <% } %>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox1" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.SupplierData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ManufacturerFieldView" InputToDisplayID="ManufacturerLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ManufacturerLabel" runat="server" Template-PropertyName="Manufacturer" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="SupplierFieldView" InputToDisplayID="SupplierLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="SupplierLabel" runat="server" Template-PropertyName="Supplier" />
                      </td>
                    </tr>
                    <% if (IsFeaturedEnabled)
                       { %>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="FeaturedLabel" runat="server" Template-PropertyName="Featured" />
                      </td>
                    </tr>
                    <% } %>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="SubscriptionOnlyLabel" runat="server" Template-PropertyName="SubscriptionOnly" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="MetaDataCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductMetaData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaTitleFieldView" InputToDisplayID="MetaTitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaTitleLabel" runat="server" Template-PropertyName="MetaTitle" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywordsLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaKeywordsLabel" runat="server" Template-PropertyName="MetaKeywords" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaDescriptionLabel" runat="server" Template-PropertyName="MetaDescription" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="BoughtCountFieldView" InputToDisplayID="BoughtCountLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="BoughtCountLabel" runat="server" Template-PropertyName="BoughtCount" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        
        <%if (ProductImagesListControl.HasElements){%>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="ImagesCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.Images %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="control-value">
                          <uc:ProductImagesList ID="ProductImagesListControl" runat="server"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <%}%>
        <%if (ProductFilesListControl.HasElements){%>
        <fieldset>
          <Control:CollapsableBox runat="server" ID="FilesCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.Files %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="control-value">
                          <uc:ProductFilesList ID="ProductFilesListControl" runat="server"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        <%}%>
      </td>      
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
