﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomerEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.CustomerPages.CustomerEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>

<%@ Register Src="~/Admin/Controls/Editor/CustomerEditor.ascx" TagName="CustomerEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Binding/Customers/CustomerDiscountCodesEditor.ascx" TagName="CustomerDiscountCodes" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/AttributeValues/CustomerAttributesEditorControl.ascx" TagPrefix="uc" TagName="CustomerAttributesEditorControl" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="CustomerEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header">
        <%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:CustomerTabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tab:CustomerTabItem runat="server" ID="DetailsTab" Active="true" ActiveForNewEntity="true">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:CustomerEditor ID="CustomerEditor" runat="server" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:CustomerTabItem>
                  <Tab:CustomerTabItem runat="server" ID="DiscountCodeTab" Active="true" ActiveForNewEntity="false" OnActivate="DiscountCodeTabActivateHandler">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:CustomerDiscountCodes ID="CustomerDiscountCodes" runat="server" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:CustomerTabItem>
                  <Tab:CustomerTabItem runat="server" ID="AttributesTab" Active="true" ActiveForNewEntity="false">
                    <InnerContent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                        <tbody>
                          <tr>
                            <td>
                              <uc:CustomerAttributesEditorControl runat="server" ID="AttributesEditor"/>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </InnerContent>
                  </Tab:CustomerTabItem>
                </Items>
              </Tab:CustomerTabContainer>
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
