﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ProductKitPage.aspx.cs" Inherits="Core.Web.ProductKitPage" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>

<%@ Register TagName="BreadCrumbs" TagPrefix="uc" Src="~/Controls/Layout/BreadCrumbs.ascx" %>
<%@ Register TagName="ProductAverageRating" TagPrefix="uc" Src="~/Controls/Products/ProductAverageRating.ascx" %>
<%@ Register TagName="ProductKitDetails" TagPrefix="uc" Src="~/Controls/ProductKits/ProductKitDetails.ascx" %>
<%@ Register TagName="ProductShortDetails" TagPrefix="uc" Src="~/Controls/Products/ProductShortDetails.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  
	<div class="Area">
		<div class="ComplexModule ComplexModuleA">
			<div class="FormSection">
				<div class="HeaderSection">
					<h2><%=TextUtility.FormatText(CurrentProduct.Title)%></h2>
					<uc:ProductAverageRating runat="server" ID="AverageRating" />
				</div>        
        <uc:ProductShortDetails runat="server" ID="ShortDetails" />
        <uc:ProductKitDetails runat="server" ID="Details" />
				
				<div class="FormControl">
					<ul class="Groups">
						<li class="GroupA">
							<ul>
							  <%if (InStock) {%>
								  <li class="buy-enable"><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A"><span class="In"><span class="InputFake" id="buyButton"><%=UI.Current.BuyButtonTitle%></span></span></span></li>
								<%} %>
								<li><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B"><span class="In"><span class="InputFake" id="sendLinkToFriend"><%=UI.Current.SendLinkToFriendButtonTitle %></span></span></span></li>
								<%if (ShowAddToWishList) {%>
								  <li><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-C"><span class="In"><span class="InputFake" id="addToWishList"><%=UI.Current.AddToWishList%></span></span></span></li>
								<%} %>								
							</ul>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>

	<script type="text/javascript">
	
		  $(function() {
		  
        $('#buyButton').buyButton(<%=CurrentProduct.ProductID%>, {
          serviceUrl :  '<%=UrlBuilder.BasketServiceUrl%>',
          quantityField : '#<%=ShortDetails.QuantityFieldID%>',
          buyEnable : '.buy-enable',
          basketView : '#basketViewArea',
          basketViewTemplate : '<%=UrlBuilder.BasketViewTemplateUrl%>',
          basketContentTemplate : '<%=UrlBuilder.BasketContentTemplateUrl%>'
        });
        
        $('#sendLinkToFriend').sendLinkToFriend(<%=CurrentProduct.ProductID%>, {
          serviceUrl : '<%=UrlBuilder.SendLinkToFriendServiceUrl%>',
          templateUrl : '<%=UrlBuilder.SendLinkToFriendTemplateUrl%>',
          captchaServiceUrl : '<%=UrlBuilder.CaptchaServiceUrl%>'
        });
        
        <%if (ShowAddToWishList) {%>
          $('#addToWishList').addToWishList(<%=CurrentProduct.ProductID%>, {
            serviceUrl : '<%=UrlBuilder.WishListServiceUrl%>'
          });
        <%} %>
           
	  });
	
	</script>
  
</asp:Content>